org.apache.geode.management.cli

## Enum Result.Status

- java.lang.Object
- - java.lang.Enum<Result.Status>
  - - org.apache.geode.management.cli.Result.Status

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Result.Status>
  Enclosing interface:
    Result

      public static enum Result.Status
      extends java.lang.Enum<Result.Status>

  Indicates a Results status.
  Since:
    GemFire 7.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` Indicates that an error occurred while processing the command.
    `OK` Indicates that the command completed successfully.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Returns the code associated with this state.
    `static Result.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Result.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final Result.Status OK

      Indicates that the command completed successfully.

    - #### ERROR

          public static final Result.Status ERROR

      Indicates that an error occurred while processing the command.

  - ### Method Detail

    - #### values

          public static Result.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Result.Status c : Result.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Result.Status valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Returns the code associated with this state.